<?php
/**
    rename this File like SectionnameModulname and add "Module" to this name 
    
    MODULE_NAME = the Name of your Module ( like :  SectionModulname )
    adminBlacklist  = MODULE_NAME but the first letter is written in lower case
*/
class RoutingBlacklistModule extends CWebModule
{
    public $title;
    public $uiModule;
    public $section;
    public $sectionTitle;
    public $mainSectionModule;  
    public $description;
    public $icon;

    public function init()
    {
        // this method is called when the module is being created
        // you may place code here to customize the module or the application

        // import the module-level models and components
        $this->setImport(array(
            'routingBlacklist.models.*',
            'routingBlacklist.components.*',
            'routingBlacklist.controllers.*',
        ));
    }

    public function beforeControllerAction($controller, $action)
    {
        if(parent::beforeControllerAction($controller, $action))
        {
        // this method is called before any module controller action is performed
        // you may place customized code here
        return true;
        } else {
            return false;
        }
    }
} 